CIF_SPLIT(1)

NAME
cif_split - split CIF files into separate files with one data_ section each. This script parses given CIF files to separate the data blocks, so is capable of splitting non-correctly formatted and nested CIF files.

SYNOPSIS
cif_split --options input1.cif input*.cif

DESCRIPTION
Split CIF files into separate files with one data_ section each.

This script parses given CIF files to separate the data blocks, so is capable of splitting non-correctly formatted and nested CIF files.

OPTIONS
-o, --output-dir out/
                  Put all split files into the directory out/.

-p, --prefixed, --output-prefixed
                  Print split data blocks to the STDOUT, each line
                  prefixed by the data block name. Do not create any files.

--output-tar
                  Produce TAR archive with split files to the STDOUT.

-h, --add-cif-header header_file.cif
                  Prepend each of the output files with the comments
                  from the beginning of the specified file.

--split-global-data-block
                  Put the 'data_global' data block (if any) to each
                  split file (default).

--do-not-split-global-data-block,

--dont-split-global-data-block,

--no-split-global-data-block
                  Do not treat 'data_global' data block (if any) as
                  special.

--uniquify-file-names
                  Postfix duplicated data block names with numbers to
                  create unique file names.

--no-uniquify-file-names
                  Put data blocks with the same name to the same file,
                  i.e., append (default).

-v, --verbose
                  Print names of the generated files to STDERR.

-q, --quiet
                  Do not print file names to STDERR.

--use-perl-parser
                  Use Perl parser for CIF parsing.

--use-c-parser
                  Use Perl & C parser for CIF parsing.

--cif-input
                  Use CIF format for input (default).

--json-input
                  Use JSON format for input.

--cif-output
                  Use CIF format for output (default).

--json-output
                  Use JSON format for output.

--cif
                  Use CIF format for both input and output (default).

--json
                  Use JSON format for both input and output.

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

REPORTING BUGS
Report cif_split bugs using e-mail: cod-bugs@ibt.lt